<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Office](./bitburner.office.md)

## Office interface

Office for a division in a city.

**Signature:**

```typescript
export interface Office 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [avgEnergy](./bitburner.office.avgenergy.md) |  | number | Average energy of the employees |
|  [avgMorale](./bitburner.office.avgmorale.md) |  | number | Average morale of the employees |
|  [city](./bitburner.office.city.md) |  | [CityName](./bitburner.cityname.md) | City of the office |
|  [employeeJobs](./bitburner.office.employeejobs.md) |  | Record&lt;[CorpEmployeePosition](./bitburner.corpemployeeposition.md)<!-- -->, number&gt; | Positions of the employees |
|  [employeeProductionByJob](./bitburner.office.employeeproductionbyjob.md) |  | Record&lt;[CorpEmployeePosition](./bitburner.corpemployeeposition.md)<!-- -->, number&gt; | Production of the employees |
|  [maxEnergy](./bitburner.office.maxenergy.md) |  | number | Maximum amount of energy of the employees |
|  [maxMorale](./bitburner.office.maxmorale.md) |  | number | Maximum morale of the employees |
|  [numEmployees](./bitburner.office.numemployees.md) |  | number | Amount of employees |
|  [size](./bitburner.office.size.md) |  | number | Maximum number of employee |
|  [totalExperience](./bitburner.office.totalexperience.md) |  | number | Total experience of all employees |

